StreamingMarkupWriter (groovy 2.4.3 API)
Date: 2015-03-23

Package: groovy.xml.streamingmarkupsupport

## [Java] Class StreamingMarkupWriter

- groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CharsetEncoder` | `encoder` |
    `protected String` | `encoding` |
    `protected boolean` | `encodingKnown` |
    `protected boolean` | `haveHighSurrogate` |
    `protected StringBuffer` | `surrogatePair` |
    `protected Writer` | `writer` |
    `protected boolean` | `writingAttribute` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingMarkupWriter (Writer writer, String encoding)`
    `StreamingMarkupWriter (Writer writer, String encoding, boolean useDoubleQuotes)`
    `StreamingMarkupWriter (Writer writer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close()`
    `Writer` | `escaped()`
    `void` | `flush()`
    `String` | `getEncoding()`
    `boolean` | `getEncodingKnown()`
    `void` | `setWritingAttribute(boolean writingAttribute)`
    `Writer` | `unescaped()`
    `void` | `write(int c)`
    `void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, write, write, write, write, write, close, flush, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final CharsetEncoder encoder

    - #### protected final String encoding

    - #### protected boolean encodingKnown

    - #### protected boolean haveHighSurrogate

    - #### protected StringBuffer surrogatePair

    - #### protected final Writer writer

    - #### protected boolean writingAttribute

  - ### Constructor Detail

    - #### public StreamingMarkupWriter(Writer writer, String encoding)

    - #### public StreamingMarkupWriter(Writer writer, String encoding, boolean useDoubleQuotes)

    - #### public StreamingMarkupWriter(Writer writer)

  - ### Method Detail

    - #### public void close()

    - #### public Writer escaped()

    - #### public void flush()

    - #### public String getEncoding()

    - #### public boolean getEncodingKnown()

    - #### public void setWritingAttribute(boolean writingAttribute)

    - #### public Writer unescaped()

    - #### public void write(int c)

    - #### public void write(char[] cbuf, int off, int len)